Subject: Re: [PATCH 18/20] bootwrapper: Add a zImage.bin.<platform> target.

From: David Gibson <[email-masked]>
Date: Tue, 21 Aug 2007 13:27:36 +1000

On Mon, Aug 20, 2007 at 12:40:10PM -0500, Scott Wood wrote:
> This target produces a flat binary rather than an ELF file, and prints
> the start address for the user to jump to (since it is unfortunately not
> fixed).

For platforms whose firmware can't take an image format including an
entry point, we shouldn't make the user faff around with the non-fixed
entry point.  Instead we should modify the entry sequence for those
platforms so that the entry point *is* fixed.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson